﻿using System;
using System.Collections.Generic;

namespace Notatka {
    class notatka {
        private static int licznik_notatek { get; set; }
        private int id { get; set; }
        protected string tytul { get; set; }
        protected string tresc { get; set; }

        public notatka(string tytul, string tresc){
            licznik_notatek++;
            id = licznik_notatek;
            this.tytul = tytul;
            this.tresc = tresc;
        }

        public void PokazNotatke() {
            Console.WriteLine($"Tytuł: {tytul}\nTreść: {tresc}");
        }

        public void PokazDane(){
            Console.WriteLine($"{licznik_notatek};{id};{tytul};{tresc}");
        }
    }

    class Program {
        public static void Main(string[] args){
            List<notatka> notatki = new List<notatka> {
                new notatka("Pierwsza notatka", "To jest przykładowa notatka"),
                new notatka("Druga notatka", "To jest druga przykładowa notatka")
            };

            notatki[0].PokazNotatke();
            notatki[1].PokazDane();
        }
    }
}

// Output:
/*
    Tytuł: Pierwsza notatka
    Treść: To jest przykładowa notatka
    2;2;Druga notatka;To jest druga przykładowa notatka
*/